﻿using System;
using System.ComponentModel;
using System.Globalization;

namespace Captura
{
    public interface ILocalizationProvider : INotifyPropertyChanged
    {
        string About { get; }
        string AccentColor { get; }
        string Add { get; }
        string AlwaysOnTop { get; }
        string Audio { get; }
        string AudioFormat { get; }
        string AudioSaved { get; }
        string BackColor { get; }
        string BorderColor { get; }
        string BorderThickness { get; }
        string Bottom { get; }
        string CaptureDuration { get; }
        string Center { get; }
        string Changelog { get; }
        string Clear { get; }
        string ClearRecentList { get; }
        string Clipboard { get; }
        string Close { get; }
        string Color { get; }
        string ConfigCodecs { get; }
        string Configure { get; }
        string CopyOutPathClipboard { get; }
        string CopyPath { get; }
        string CopyToClipboard { get; }
        string CornerRadius { get; }
        string CrashLogs { get; }
        string Crop { get; }
        string CustomSize { get; }
        string CustomUrl { get; }
        string DarkTheme { get; }
        string Delete { get; }
        string DiscardChanges { get; }
        string Disk { get; }
        string Donate { get; }
        string DownloadFFmpeg { get; }
        string Edit { get; }
        string Elapsed { get; }
        string ErrorOccurred { get; }
        string Exit { get; }
        string FFmpegFolder { get; }
        string FFmpegLog { get; }
        string FileMenu { get; }
        string FileMenuNew { get; }
        string FileMenuOpen { get; }
        string FileMenuSave { get; }
        string FileNaming { get; }
        string FontSize { get; }
        string FrameRate { get; }
        string FullScreen { get; }
        string HideOnFullScreenShot { get; }
        string Host { get; }
        string Hotkeys { get; }
        string ImageEditor { get; }
        string ImgEmpty { get; }
        string ImgFormat { get; }
        string ImgSavedClipboard { get; }
        string ImageUploadFailed { get; }
        string ImageUploadSuccess { get; }
        string ImageUploading { get; }
        string IncludeClicks { get; }
        string IncludeCursor { get; }
        string IncludeKeys { get; }
        string Keymap { get; }
        string Keystrokes { get; }
        string KeystrokesHistoryCount { get; }
        string KeystrokesHistorySpacing { get; }
        string KeystrokesSeparateFile { get; }
        string Language { get; }
        string Left { get; }
        string LoopbackSource { get; }
        string MaxRecent { get; }
        string MaxTextLength { get; }
        string MicSource { get; }
        string Minimize { get; }
        string MinToTrayOnCaptureStart { get; }
        string MinTray { get; }
        string MinTrayStartup { get; }
        string MinTrayClose { get; }
        string MouseClicks { get; }
        string MouseMiddleClickColor { get; }
        string MousePointer { get; }
        string MouseRightClickColor { get; }
        string NewWindow { get; }
        string No { get; }
        string None { get; }
        string Notifications { get; }
        string NotSaved { get; }
        string NoWebcam { get; }
        string Ok { get; }
        string OnlyAudio { get; }
        string Opacity { get; }
        string OpenFromClipboard { get; }
        string OpenOutFolder { get; }
        string OutFolder { get; }
        string Overlays { get; }
        string Padding { get; }
        string Password { get; }
        string Paused { get; }
        string PauseResume { get; }
        string PauseResumeRecording { get; }
        string Port { get; }
        string PreStartCountdown { get; }
        string Preview { get; }
        string Proxy { get; }
        string Quality { get; }
        string Radius { get; }
        string Recent { get; }
        string RecordStop { get; }
        string Redo { get; }
        string Refresh { get; }
        string Region { get; }
        string RegionSelector { get; }
        string RemoveFromList { get; }
        string Reset { get; }
        string Resize { get; }
        string RestoreDefaults { get; }
        string Right { get; }
        string SaveToClipboard { get; }
        string Screen { get; }
        string ScreenShot { get; }
        string ScreenShotActiveWindow { get; }
        string ScreenShotDesktop { get; }
        string ScreenShotSaved { get; }
        string SelectFFmpegFolder { get; }
        string SelectOutFolder { get; }
        string SeparateAudioFiles { get; }
        string ShowSysNotify { get; }
        string Sounds { get; }
        string SnapToWindow { get; }
        string StartStopRecording { get; }
        string StreamingKeys { get; }
        string Timeout { get; }
        string ToggleMouseClicks { get; }
        string ToggleKeystrokes { get; }
        string Tools { get; }
        string Top { get; }
        string TrayIcon { get; }
        string Trim { get; }
        string Undo { get; }
        string UploadToImgur { get; }
        string UseProxyAuth { get; }
        string UserName { get; }
        string VarFrameRate { get; }
        string Video { get; }
        string VideoEncoder { get; }
        string VideoSaved { get; }
        string VideoSource { get; }
        string ViewCrashLogs { get; }
        string ViewLicenses { get; }
        string ViewOnGitHub { get; }
        string WantToTranslate { get; }
        string WebCam { get; }
        string WebCamSeparateFile { get; }
        string WebCamView { get; }
        string Website { get; }
        string Window { get; }
        string WindowScreenShotTransparency { get; }
        string Yes { get; }

        event Action<CultureInfo> LanguageChanged;
    }
}